- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QScriptSyntaxCheckResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 77 of file qscriptengine.h.

`#include <qscriptengine.h>`

List of all members.

## Public Types
enum | State { Error, Intermediate, Valid }
## Public Member Functions
| QScriptSyntaxCheckResult (const QScriptSyntaxCheckResult &other)
| ~QScriptSyntaxCheckResult ()
State | state () const
int | errorLineNumber () const
int | errorColumnNumber () const
QString | errorMessage () const
QScriptSyntaxCheckResult & | operator= (const QScriptSyntaxCheckResult &other)
## Friends
class | QScriptEngine
class | QScriptEnginePrivate

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  Error | Search for all occurrences
  Intermediate | Search for all occurrences
  Valid | Search for all occurrences

Definition at line 80 of file qscriptengine.h.

                   {
            Error,
            Intermediate,
            Valid
        };

## Constructor & Destructor Documentation

QScriptSyntaxCheckResult | ( | const QScriptSyntaxCheckResult & | other | ) |

~QScriptSyntaxCheckResult | ( |  | ) |

## Member Function Documentation

State state | ( |  | ) | const

Search for all occurrences

int errorLineNumber | ( |  | ) | const

Search for all occurrences

int errorColumnNumber | ( |  | ) | const

Search for all occurrences

QString errorMessage | ( |  | ) | const

Search for all occurrences

QScriptSyntaxCheckResult& operator= | ( | const QScriptSyntaxCheckResult & | other | ) |

## Friends And Related Function Documentation

friend class QScriptEngine `[friend]`

Search for all occurrences

Definition at line 102 of file qscriptengine.h.

friend class QScriptEnginePrivate `[friend]`

Search for all occurrences

Definition at line 103 of file qscriptengine.h.

The documentation for this class was generated from the following file:

- QtScript/qscriptengine.h

QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult
QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult QScriptSyntaxCheckResult